Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
_sigcommune Struct Reference

`#include <rb_mjit_min_header-2.7.0.h>`

## Data Fields
__uint32_t | _si_code
void * | _si_read_handle
void * | _si_write_handle
void * | _si_process_handle
union {
struct {
int _si_fd
uint32_t _si_flags
} |
int64_t _si_pipe_unique_id
char * _si_str
}; |

## Detailed Description

Definition at line 2095 of file rb_mjit_min_header-2.7.0.h.

## Field Documentation

## ◆ @216

__extension__ { ... }

## ◆ _si_code

__uint32_t _sigcommune::_si_code

Definition at line 2097 of file rb_mjit_min_header-2.7.0.h.

## ◆ _si_fd

int _sigcommune::_si_fd

Definition at line 2104 of file rb_mjit_min_header-2.7.0.h.

## ◆ _si_flags

uint32_t _sigcommune::_si_flags

Definition at line 2105 of file rb_mjit_min_header-2.7.0.h.

## ◆ _si_pipe_unique_id

int64_t _sigcommune::_si_pipe_unique_id

Definition at line 2107 of file rb_mjit_min_header-2.7.0.h.

## ◆ _si_process_handle

void* _sigcommune::_si_process_handle

Definition at line 2100 of file rb_mjit_min_header-2.7.0.h.

## ◆ _si_read_handle

void* _sigcommune::_si_read_handle

Definition at line 2098 of file rb_mjit_min_header-2.7.0.h.

## ◆ _si_str

char* _sigcommune::_si_str

Definition at line 2108 of file rb_mjit_min_header-2.7.0.h.

## ◆ _si_write_handle

void* _sigcommune::_si_write_handle

Definition at line 2099 of file rb_mjit_min_header-2.7.0.h.

The documentation for this struct was generated from the following file:

- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h